%define name suspend-scripts
%define version 1.6
%define release 3mdk

Summary: Scripts launched by system on suspend and resume
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Provides: apm-scripts
Obsoletes: apm-scripts
Requires: lsof, usermode
Url: http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/suspend-scripts/
BuildArchitectures: noarch

%description
Suspend-Script is launched by apm or acpid on resume and suspend, it
start or stop your network/sound etc... to make sure that everything
work after hybernation of your computer.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/suspend
%doc ChangeLog contrib/*
%dir /etc/sysconfig/suspend-scripts/suspend.d/
%config(noreplace) /etc/sysconfig/suspend-scripts/suspend.d/*
%config(noreplace) /etc/sysconfig/suspend-scripts/suspend.control
%config(noreplace) /etc/acpi/events/*
%dir /var/run/pm/
%{_sbindir}/*
%{_bindir}/*
%config(noreplace) /etc/security/console.apps/*
%config(noreplace) /etc/pam.d/*

%changelog
* Thu Sep 18 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-3mdk
- corrected power button alternative naming

* Mon Sep 15 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-2mdk
- renamed pmsuspend

* Thu Aug 21 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.6-1mdk
- added consolehelper support

* Mon Mar 24 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-1mdk
- suspend-scripts.spec, contrib/README.scripts, contrib/acpi.sh,
  contrib/battery.sh, contrib/suspend.sh: Add contrib script
  from official SoftWare suspend pages
- suspend.d/usb: Relaunch /sbin/hotplug usb at resume. (#3499).

* Mon Mar 10 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4-1mdk
- suspend.sysconfig: Add apm specific config (#2982).
- suspend.control: Use -lt instead of < in check_ram() and fix
  mispell. (#2902)
- suspend.control: Sync after every launch.
- suspend.d/services: Add suspend: resume: tag..

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.3-1mdk
- added acpid script to shutdown

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-1mdk
- suspend.d/xfree: Don't loop infinitely when we don't have
  xscreensaver or kdeinit launched.
- Let User can specify to use /proc/sys/kernel/swsusp.

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-1mdk
- Add APM support.

* Mon Feb  3 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First release.


# end of file
